Bug 166254 - Review Request: perl-Imager
Review Request: perl-Imager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
David Lawrence
http://search.cpan.org/dist/Imager/
:
: 665331 1076745 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-18 07:34 EDT by Gavin Henry
Modified: 2014-03-15 01:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 19:18:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file fixes (1.67 KB, patch)
2005-08-29 13:53 EDT, Steven Pritchard
no flags Details | Diff

  None (edit)
Description Gavin Henry 2005-08-18 07:34:42 EDT
Spec Url: http://www.perl.me.uk/downloads/modules/perl-Imager.spec

SRPM Url: http://www.perl.me.uk/downloads/modules/perl-Imager-0.45-1.src.rpm

Description: Imager is a module for creating and altering images. It can read and write various image formats, draw primitive shapes like lines,and polygons, blend multiple images together in various ways, scale, crop, render text and more.
Comment 1 Jef Spaleta 2005-08-18 23:20:00 EDT
built on against a rawhide box, rpmlint perl-Imager-0.45-1.i386.rpm:
W: perl-Imager unstripped-binary-or-object
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/auto/Imager/Imager.so

 ->Ignorable warning

E: perl-Imager wrong-script-interpreter
/usr/share/doc/perl-Imager-0.45/samples/anaglyph.pl "perl"
E: perl-Imager wrong-script-interpreter
/usr/share/doc/perl-Imager-0.45/samples/interleave.pl "perl"

  ->Can you patch the sample scripts in the samples directory to use
    #!/usr/bin/perl -w  instead of #!perl -w   and should they be executable?

E: perl-Imager wrong-script-interpreter
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/Imager/Font/Wrap.pm "perl"
E: perl-Imager non-executable-script
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/Imager/Font/Wrap.pm 
0644

  ->Same issue. Wrap.pm is the only pm file in the Font subdirectory that has an  
    interpreter defined in the header. Either this needs to be corrected like 
    the sample scripts or the interpreter line should be removed. I'm not sure 
    which workaround is correct for Wrap.pm.  Is it meant to be run as a 
    stand-alone executable script?


-jef
Comment 2 Jef Spaleta 2005-08-19 01:58:45 EDT
additionally you'll need to clean up the same problems with this package as you
had with perl-Apache-LogRegex

- just use %check
- remove the buildrequires on perl
- need to include the license text in the docs section for the package.

I haven't made it through the full review of this yet.. but i just want to make
you aware that the same minor problems exist here. Most likely the other two
pending perl packages for sprog deps have the same easy to fix issues too, so
its a good idea to check over those packages as well for these 3 items.

-jef
Comment 3 Gavin Henry 2005-08-19 05:42:25 EDT
I'll get this done next week.
Comment 4 Jef Spaleta 2005-08-25 22:52:03 EDT
Looks like your need to apply 
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
for this package to, as discussed for the other sprog deps so far.


-jef
Comment 5 Steven Pritchard 2005-08-29 13:49:17 EDT
I'm attaching a patch to the spec file that eliminates just about every issue I
can find (including the more-or-less bogus warnings from rpmlint).

I'll verify it with a mock build later today.
Comment 6 Steven Pritchard 2005-08-29 13:53:10 EDT
Created attachment 118219 [details]
spec file fixes

Remove explicit perl BuildRequires.
BuildRequires: perl(Parse::RecDescent) (not perl-Parse-RecDescent).
BuildRequires: t1lib-devel.
Various things to quiet rpmlint.
Pass OPTIMIZE to Makefile.PL.
"%check" not "%check || :".
Include COPYING and Artistic.
Comment 7 Gavin Henry 2005-08-29 13:58:20 EDT
Well, looks like people are being impatient ;-)

I was going to knock Sprog and all these RPMs off my list tomorrow and Wednesday.

I'll apply the patch/

Cheers,

Gavin.
Comment 9 Jef Spaleta 2005-09-14 20:37:27 EDT
Okay let me go through the full review now.  
builds in mock for fedora development on x86.

*naming is good
*perl specific spec file conventions are being used
*license tag matches the wording in the readme
*readme with licensing terms include in docs
*md5sum of sources match upstream
*rpmlint returns clean
*buildrequires look good, all the supprted image and font support appears to be
included at build time according to the build log. 
*no locale files to worry about
*no shared libraries in the linker path
*created directory ownership is good
*clean section good
*no pre/post scriptlets 
*no static libs
*files section looks good
*no executables installed
*no executables in docs section 
*rpmbuild --rebuild --target i686 works 
*sample scripts appear to work.. no errors or segfaults.

Okay this looks good to me. I'll start the clock on this. I'll wait 24 hour
before approving this in case someone finds a blocker.

-jef

Comment 10 Steven Pritchard 2005-09-16 16:47:02 EDT
It's been >24 hours Jef.  ;-)
Comment 11 Jef Spaleta 2005-09-16 20:11:11 EDT
approved
Comment 12 Alex Lancaster 2006-02-25 18:47:41 EST
Since this has been built in development, this bug should be CLOSED as
NEXTRELEASE.  (However I had troubles rebuilding this in development similar to
what happens in bug #182459 for FC-4).
Comment 13 Steven Pritchard 2006-03-15 19:12:31 EST
Ping?  Any idea why this hasn't been closed yet?
Comment 14 Robin Lee 2011-01-21 10:44:51 EST
*** Bug 665331 has been marked as a duplicate of this bug. ***
Comment 15 David Dick 2014-03-15 01:35:35 EDT
*** Bug 1076745 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.